<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Single Page Website</title>
  <style>
    /* Reset CSS */
    *,
    *::before,
    *::after {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }

    /* Global Styles */
    body {
      font-family: Arial, sans-serif;
      line-height: 1.5;
      background-color: #f8f8f8;
      color: #333;
    }

    /* Header Styles */
    header {
      background-color: #333;
      padding: 10px;
      color: #fff;
    }

    nav ul {
      list-style-type: none;
      margin: 0;
      padding: 0;
    }

    nav li {
      display: inline;
      margin-right: 10px;
    }

    /* Main Content Styles */
    main {
      max-width: 800px;
      margin: 0 auto;
      padding: 20px;
    }

    section {
      margin-bottom: 40px;
      display: none;
    }

    h1 {
      font-size: 32px;
      margin-bottom: 10px;
    }

    h2 {
      font-size: 24px;
      margin-bottom: 10px;
    }

    p {
      margin-bottom: 20px;
    }

    ul {
      list-style-type: disc;
      margin-left: 20px;
      margin-bottom: 20px;
    }

    /* Slider Styles */
    .slider {
      position: relative;
      width: 100%;
      height: 300px;
      overflow: hidden;
    }

    .slide {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      opacity: 0;
      transition: opacity 0.5s ease-in-out;
    }

    .slide.active {
      opacity: 1;
    }

    /* Footer Styles */
    footer {
      background-color: #333;
      padding: 10px;
      color: #fff;
      text-align: center;
    }
  </style>
</head>

<body>
  <header>
    <nav>
      <ul>
        <li><a href="#home">Home</a></li>
        <li><a href="#about">About</a></li>
        <li><a href="#contact">Contact</a></li>
      </ul>
    </nav>
  </header>

  <main>
    <section id="home" class="active">
      <h1>Welcome!</h1>
      <p>Welcome to the single page website.</p>
    </section>

    <section id="about">
      <h2>About</h2>
      <p>The single page website is a simple and versatile website template.</p>
    </section>

    <section id="contact">
      <h2>Contact</h2>
      <p>You can reach us using the following information:</p>
      <ul>
        <li>Phone: 123456789</li>
        <li>Email: info@example.com</li>
      </ul>
    </section>

    <section class="slider">
      <div class="slide active">
        <img src="slide1.jpg" alt="Slide 1">
      </div>
      <div class="slide">
        <img src="slide2.jpg" alt="Slide 2">
      </div>
      <div class="slide">
        <img src="slide3.jpg" alt="Slide 3">
      </div>
      <div class="slide">
        <img src="slide4.jpg" alt="Slide 4">
      </div>
    </section>
  </main>

  <footer>
    &copy; 2021 Single Page Website
  </footer>

  <script>
    // Sayfa yüklendiğinde ilk bölümü göster
    document.addEventListener('DOMContentLoaded', function () {
      const sections = document.querySelectorAll('section');
      sections[0].style.display = 'block';
    });

    // Sayfa geçişlerini işle
    const links = document.querySelectorAll('nav a');
    const sections = document.querySelectorAll('section');

    links.forEach(function (link) {
      link.addEventListener('click', function (e) {
        e.preventDefault();

        const target = this.getAttribute('href');
        const targetSection = document.querySelector(target);

        sections.forEach(function (section) {
          section.style.display = 'none';
        });

        targetSection.style.display = 'block';
      });
    });

    // Slider bölümü için otomatik geçiş işle
    const slides = document.querySelectorAll('.slide');
    let currentIndex = 0;

    setInterval(function () {
      slides[currentIndex].classList.remove('active');
      currentIndex = (currentIndex + 1) % slides.length;
      slides[currentIndex].classList.add('active');
    }, 3000);
  </script>
</body>

</html>